/*=================================================

  Variables & Mixins

=================================================*/

/* Variables
********************/

@color-black: #0d0d0d;
@color-white: #ffffff;
@color-gray:  #bbb;

/* Flexbox Mixins
********************/
.flexbox() {
  display: -webkit-flex;
  display:         flex;
}
.flexbox-prop(@flex-direct, @flex-wrap, @flex-valign, @flex-halign) {
  -webkit-flex-direction: @flex-direct;
          flex-direction: @flex-direct;
  -webkit-flex-wrap: @flex-wrap;
          flex-wrap: @flex-wrap;
  -webkit-align-content: @flex-valign;
          align-content: @flex-valign;
  -webkit-justify-content: @flex-halign;
          justify-content: @flex-halign;
}
.flex-item-align(@flex-item-valign) {
  -webkit-align-self: @flex-item-valign;
          align-self: @flex-item-valign;
}

// Transitions
// Need to escape multiple transitions: .transition(~"opacity 1s linear, color 1s ease-out");
.transition(@transition) {
  -webkit-transition: @transition;
     -moz-transition: @transition;
       -o-transition: @transition;
          transition: @transition;
}

.border-box() {
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}

.content-box() {
  -webkit-box-sizing: content-box;
     -moz-box-sizing: content-box;
          box-sizing: content-box;
}

.transform(@string){
  -webkit-transform: @string;
     -moz-transform: @string;
      -ms-transform: @string;
       -o-transform: @string;
          transform: @string;
}

.border-radius(@radius) {
  -webkit-border-radius: @radius;
          border-radius: @radius;
}

.box-shadow(@shadow) {
  -webkit-box-shadow: @shadow;
     -moz-box-shadow: @shadow;
          box-shadow: @shadow;
}

.hyphens(@hyphen-type) {
  -webkit-hyphens: @hyphen-type;
     -moz-hyphens: @hyphen-type;
      -ms-hyphens: @hyphen-type;
          hyphens: @hyphen-type;
}

